--- apache.spec	Thu Oct 19 18:35:12 2000
+++ apache+IPv6-RH6.2.spec	Wed Jan 17 22:55:22 2001
@@ -1,9 +1,11 @@
 Summary: The most widely used Web server on the Internet.
 Name: apache
 Version: 1.3.14
-Release: 2.6.2
+Release: 2.6.2+IPv6
 Group: System Environment/Daemons
 
+%define ipv6patch apache-1.3.14-v6-20010115a.diff.gz
+
 Source: ftp://ftp.apache.org/apache/dist/apache_%{version}.tar.gz
 Source1: apache-index.html
 Source2: poweredby.png
@@ -22,6 +24,7 @@
 Patch3: apache_1.3.14-phhttpd-eapi.patch
 Patch4: apache_1.3.12-piranha.patch
 Patch5: apache_1.3.14-rewritefix.patch
+Patch6: ftp://ftp.kame.net/pub/kame/misc/%{ipv6patch}
 
 Copyright: Freely distributable and usable
 BuildRoot: %{_tmppath}/apache-root
@@ -36,6 +39,9 @@
 
 Install the apache package if you need a Web server.
 
+IPv6-enabled RPM by Peter Bieringer <pb@bieringer.de> using the KAME diff and
+ EAPI disabled because of interferences
+
 %package devel
 Group: Development/Libraries
 Summary: Development tools for the Apache Web server.
@@ -63,23 +69,26 @@
 %setup -q -n apache_%{version} -a 10
 %patch0 -p1 -b .redhat
 %patch1 -p1 -b .apxs
-%patch2 -p1 -b .eapi
-%patch3 -p1 -b .phhttpd
+#%patch2 -p1 -b .eapi
+#%patch3 -p1 -b .phhttpd
 %patch4 -p1 -b .piranha
 pushd src/modules/standard
 %patch5 -p0 -b .rewritefix
 popd
 
+# Patch6
+gzip -cd $RPM_SOURCE_DIR/%{ipv6patch} | patch -p1 --fuzz=3
+
 %build
 OPTIM="$RPM_OPT_FLAGS" \
 	./configure --prefix=/usr \
+	--enable-rule=INET6 \
 	--with-layout=RedHat \
 	--add-module=$RPM_SOURCE_DIR/mod_bandwidth.c \
 	--add-module=$RPM_SOURCE_DIR/mod_put.c \
 	--activate-module=src/modules/throttle/mod_throttle.o \
 	--enable-module=all \
 	--enable-shared=max \
-	--enable-rule=EAPI \
 	--disable-rule=WANTHSREGEX \
 	--disable-module=auth_dbm \
 	--with-perl=/usr/bin/perl \
@@ -232,6 +241,11 @@
 %{_mandir}/man8/apxs.8*
 
 %changelog
+* Wed Jan 17 2001 Peter Bieringer <pb@bieringer.de>
+- IPv6-enabled RPM  using the KAME diff
+- disable RH 6.2 original patches: eapi, phhttpd because of interferences
+
+
 * Thu Oct 19 2000 Nalin Dahyabhai <nalin@redhat.com>
 - build a separate package for 6.0/6.1 (without EAPI) and 6.2 (with EAPI)
 
